function Person(imageManager) 
{
	this.hash = "";
	this.parts = [];
	this.friendLevel = 0;

	for(part in imageManager.bodyparts) {
		var variety = imageManager.bodyparts[part];
		this.parts[part] = variety[Math.round(Math.random() * (variety.length - 1))];
		this.hash += this.parts[part].src;
	}

	this.getCurrWalkingFrame = function(isPause)
	{
		retVal = this.streetWalkingFrame;

		if(isPause == false)
		{
			currTime = new Date().getTime();
			if(currTime - this._lastWalkingFrameChange >= this._walkingFrameRate)
			{
				this.streetWalkingFrame++;
				if(this.streetWalkingFrame > this.streetMaxWalkingFrame)
				{
					this.streetWalkingFrame = 0;
				}

				this._lastWalkingFrameChange = currTime;
			}
		}

		return retVal;
	}

	this.streetWalkingFrame = 0;
	this.streetMaxWalkingFrame = 3;
	this._lastWalkingFrameChange = 0;
	this._walkingFrameRate = 300;
}